R on mac not installing packages

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

R on mac not installing packages

mrrox

Hi, I have not been able to use R in my macbook pro. I am getting the following error message every time i try to install a package

* installing *source* package ‘Hmisc’ ...
** package ‘Hmisc’ successfully unpacked and MD5 sums checked
** libs
*** arch - i386
sh: make: command not found
ERROR: compilation failed for package ‘Hmisc’
* removing ‘/Users/ravshonbek/Library/R/2.15/library/Hmisc’
* installing *source* package ‘quadprog’ ...
** libs
*** arch - i386
sh: make: command not found
ERROR: compilation failed for package ‘quadprog’
* removing ‘/Users/ravshonbek/Library/R/2.15/library/quadprog’
ERROR: dependency ‘Hmisc’ is not available for package ‘its’
* removing ‘/Users/ravshonbek/Library/R/2.15/library/its’
ERROR: dependency ‘quadprog’ is not available for package ‘tseries’
* removing ‘/Users/ravshonbek/Library/R/2.15/library/tseries’

The downloaded source packages are in
        ‘/private/var/folders/c7/jrjv78_x6f53l3sw_w715gk00000gn/T/RtmpS4sYUx/downloaded_packages’


I look forward to your help, plsease
Reply | Threaded
Open this post in threaded view
|

Re: R on mac not installing packages

David Winsemius
The system is reporting that it cannot find `make`. It appears that you have not installed XCode on you Mac, or that you did with an earlier version for which you have not updated, or something else which has broken your installation. Please read the MacOS FAQ. (And post further such question on the SIG-Mac mailing list.)

On Feb 22, 2013, at 12:15 PM, londonphd wrote:

>
> Hi, I have not been able to use R in my macbook pro. I am getting the
> following error message every time i try to install a package
>
> * installing *source* package ‘Hmisc’ ...
> ** package ‘Hmisc’ successfully unpacked and MD5 sums checked
> ** libs
> *** arch - i386
> sh: make: command not found
> ERROR: compilation failed for package ‘Hmisc’
> * removing ‘/Users/ravshonbek/Library/R/2.15/library/Hmisc’
> * installing *source* package ‘quadprog’ ...
> ** libs
> *** arch - i386
> sh: make: command not found
> ERROR: compilation failed for package ‘quadprog’
> * removing ‘/Users/ravshonbek/Library/R/2.15/library/quadprog’
> ERROR: dependency ‘Hmisc’ is not available for package ‘its’
> * removing ‘/Users/ravshonbek/Library/R/2.15/library/its’
> ERROR: dependency ‘quadprog’ is not available for package ‘tseries’
> * removing ‘/Users/ravshonbek/Library/R/2.15/library/tseries’
>
> The downloaded source packages are in
>
> ‘/private/var/folders/c7/jrjv78_x6f53l3sw_w715gk00000gn/T/RtmpS4sYUx/downloaded_packages’
>
>
> I look forward to your help, plsease
>
>
>
>
> --
> View this message in context: http://r.789695.n4.nabble.com/R-on-mac-not-installing-packages-tp4659392.html
> Sent from the R help mailing list archive at Nabble.com.
>
> ______________________________________________
> [hidden email] mailing list
> https://stat.ethz.ch/mailman/listinfo/r-help
> PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
> and provide commented, minimal, self-contained, reproducible code.

David Winsemius
Alameda, CA, USA

______________________________________________
[hidden email] mailing list
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: R on mac not installing packages

Prof Brian Ripley
On 22/02/2013 21:26, David Winsemius wrote:
> The system is reporting that it cannot find `make`. It appears that you have not installed XCode on you Mac, or that you did with an earlier version for which you have not updated, or something else which has broken your installation. Please read the MacOS FAQ. (And post further such question on the SIG-Mac mailing list.)

For the record, such information is in the 'R Installation and
Administration Manual', as from R-patched (and hence R 2.15.3 and R
3.0.0).  See e.g.
http://cran.r-project.org/doc/manuals/r-release/R-admin.html#Mac-OS-X .

On recent versions of OS X it is not Xcode you need, but the 'Xcode
command-line tools'.  These can be installed from inside Xcode
(Preferences->Downloads->Components) or separately.

For Hmisc you will need a matching Fortran compiler: see that manual.

> On Feb 22, 2013, at 12:15 PM, londonphd wrote:
>
>>
>> Hi, I have not been able to use R in my macbook pro. I am getting the
>> following error message every time i try to install a package
>>
>> * installing *source* package ‘Hmisc’ ...
>> ** package ‘Hmisc’ successfully unpacked and MD5 sums checked
>> ** libs
>> *** arch - i386
>> sh: make: command not found
>> ERROR: compilation failed for package ‘Hmisc’
>> * removing ‘/Users/ravshonbek/Library/R/2.15/library/Hmisc’
>> * installing *source* package ‘quadprog’ ...
>> ** libs
>> *** arch - i386
>> sh: make: command not found
>> ERROR: compilation failed for package ‘quadprog’
>> * removing ‘/Users/ravshonbek/Library/R/2.15/library/quadprog’
>> ERROR: dependency ‘Hmisc’ is not available for package ‘its’
>> * removing ‘/Users/ravshonbek/Library/R/2.15/library/its’
>> ERROR: dependency ‘quadprog’ is not available for package ‘tseries’
>> * removing ‘/Users/ravshonbek/Library/R/2.15/library/tseries’
>>
>> The downloaded source packages are in
>>
>> ‘/private/var/folders/c7/jrjv78_x6f53l3sw_w715gk00000gn/T/RtmpS4sYUx/downloaded_packages’
>>
>>
>> I look forward to your help, plsease
>>
>>
>>
>>
>> --
>> View this message in context: http://r.789695.n4.nabble.com/R-on-mac-not-installing-packages-tp4659392.html
>> Sent from the R help mailing list archive at Nabble.com.
>>
>> ______________________________________________
>> [hidden email] mailing list
>> https://stat.ethz.ch/mailman/listinfo/r-help
>> PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
>> and provide commented, minimal, self-contained, reproducible code.
>
> David Winsemius
> Alameda, CA, USA
>
> ______________________________________________
> [hidden email] mailing list
> https://stat.ethz.ch/mailman/listinfo/r-help
> PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
> and provide commented, minimal, self-contained, reproducible code.
>


--
Brian D. Ripley,                  [hidden email]
Professor of Applied Statistics,  http://www.stats.ox.ac.uk/~ripley/
University of Oxford,             Tel:  +44 1865 272861 (self)
1 South Parks Road,                     +44 1865 272866 (PA)
Oxford OX1 3TG, UK                Fax:  +44 1865 272595

______________________________________________
[hidden email] mailing list
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: R on mac not installing packages

Marc Schwartz-3

On Feb 22, 2013, at 3:46 PM, Prof Brian Ripley <[hidden email]> wrote:

> On 22/02/2013 21:26, David Winsemius wrote:
>> The system is reporting that it cannot find `make`. It appears that you have not installed XCode on you Mac, or that you did with an earlier version for which you have not updated, or something else which has broken your installation. Please read the MacOS FAQ. (And post further such question on the SIG-Mac mailing list.)
>
> For the record, such information is in the 'R Installation and Administration Manual', as from R-patched (and hence R 2.15.3 and R 3.0.0).  See e.g. http://cran.r-project.org/doc/manuals/r-release/R-admin.html#Mac-OS-X .
>
> On recent versions of OS X it is not Xcode you need, but the 'Xcode command-line tools'.  These can be installed from inside Xcode (Preferences->Downloads->Components) or separately.
>
> For Hmisc you will need a matching Fortran compiler: see that manual.


It seems reasonable to ask however, why he is installing source CRAN packages on OSX when the default OSX install would be binaries, if he installed R by using Simon's OSX binary.

If he installed R from source, he should have already had the requisite compiler related tools installed.

Perhaps I need more coffee late on a Friday, but something seems inconsistent here.

Regards,

Marc Schwartz


>
>> On Feb 22, 2013, at 12:15 PM, londonphd wrote:
>>
>>>
>>> Hi, I have not been able to use R in my macbook pro. I am getting the
>>> following error message every time i try to install a package
>>>
>>> * installing *source* package ‘Hmisc’ ...
>>> ** package ‘Hmisc’ successfully unpacked and MD5 sums checked
>>> ** libs
>>> *** arch - i386
>>> sh: make: command not found
>>> ERROR: compilation failed for package ‘Hmisc’
>>> * removing ‘/Users/ravshonbek/Library/R/2.15/library/Hmisc’
>>> * installing *source* package ‘quadprog’ ...
>>> ** libs
>>> *** arch - i386
>>> sh: make: command not found
>>> ERROR: compilation failed for package ‘quadprog’
>>> * removing ‘/Users/ravshonbek/Library/R/2.15/library/quadprog’
>>> ERROR: dependency ‘Hmisc’ is not available for package ‘its’
>>> * removing ‘/Users/ravshonbek/Library/R/2.15/library/its’
>>> ERROR: dependency ‘quadprog’ is not available for package ‘tseries’
>>> * removing ‘/Users/ravshonbek/Library/R/2.15/library/tseries’
>>>
>>> The downloaded source packages are in
>>>
>>> ‘/private/var/folders/c7/jrjv78_x6f53l3sw_w715gk00000gn/T/RtmpS4sYUx/downloaded_packages’
>>>
>>>
>>> I look forward to your help, plsease

______________________________________________
[hidden email] mailing list
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: R on mac not installing packages

mrrox
Many thanks to all who replied to this post. the problem has now been sorted out. i installed "GCC-10.7-v2.pkg", now i can install packages from source